package com.pixelized.desktop.lwa.utils.extention

import java.text.Normalizer

private val REGEX_UN_ACCENT = "\\p{InCombiningDiacriticalMarks}+".toRegex()

val String.ARG: String get() = "$this={$this}"

fun CharSequence.unAccent(): String {
    val temp = Normalizer.normalize(this, Normalizer.Form.NFD)
    return REGEX_UN_ACCENT.replace(temp, "")
}